%define with_sys_maven 0
Name:          maven-plugin-bundle
Version:       2.3.6
Release:       %mkrel 1
Summary:       Maven Bundle Plugin

Group:         Development/Java
License:       ASL 2.0
URL:           http://felix.apache.org
Source0:       http://www.apache.org/dist/felix/maven-bundle-plugin-2.3.6-source-release.tar.gz

Patch0:        maven-bundle-plugin-unbundling.patch
Patch1:        maven-bundle-plugin-exception-already-thrown.patch
Patch2:        maven-bundle-plugin-unreported-exception.patch

BuildRequires: aqute-bndlib >= 1.50.0-1
BuildRequires: felix-bundlerepository >= 1.6.6
BuildRequires: felix-osgi-obr
BuildRequires: felix-parent
BuildRequires: kxml
BuildRequires: maven
BuildRequires: maven-changes-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-doxia-sitetools
BuildRequires: maven-install-plugin 
BuildRequires: maven-jar-plugin 
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-plugin 
BuildRequires: maven-plugin-testing-harness
BuildRequires: maven-resources-plugin
BuildRequires: maven-shared-dependency-tree >= 1.1-3
%if %with_sys_maven
BuildRequires: maven-shared-osgi
%endif
BuildRequires: maven-surefire-plugin >= 2.3
BuildRequires: maven-surefire-provider-junit4 >= 2.3
BuildRequires: maven-wagon >= 1.0-0.2.b2
BuildRequires: plexus-utils >= 1.4.5

Requires: aqute-bndlib >= 1.50.0-1
Requires: felix-bundlerepository >= 1.6.6
Requires: felix-osgi-obr
Requires: felix-parent
Requires: kxml
Requires: maven
Requires: maven-archiver
Requires: maven-shared-dependency-tree
%if %with_sys_maven
Requires: maven-shared-osgi
%endif
Requires: maven-wagon
Requires: plexus-archiver
Requires: plexus-containers-container-default
Requires: plexus-utils >= 1.4.5

BuildArch: noarch


%description
Provides a maven plugin that supports creating an OSGi bundle
from the contents of the compilation classpath along with its
resources and dependencies. Plus a zillion other features.

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}
Requires:       jpackage-utils

%description javadoc
API documentation for %{name}.

%prep
%setup -q -n maven-bundle-plugin-%{version}
%if !%with_sys_maven
%patch0 -p1
#%patch1 -p1
%patch2 -p1
# remove bundled stuff
rm -rf src/main/java/org/apache/maven
%endif

%build
# tests can't be built (seems like a MavenProjectStub incompatibility with MavenProject)
mvn-rpmbuild \
%if !%with_sys_maven
  -Dmaven.test.skip=true \
%endif
  install javadoc:javadoc

%install
rm -rf %{buildroot}

# jars
install -d -m 0755 %{buildroot}%{_javadir}
install -m 644 target/maven-bundle-plugin-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar
#dd_to_maven_depmap org.apache.felix maven-bundle-plugin %{version} JPP %{name}

# poms
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}/
rm -rf target/site/api*

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%doc LICENSE NOTICE

%files javadoc
%{_javadocdir}/%{name}



%changelog

* Mon Dec 19 2011 gil <gil> 2.3.6-1.mga2
+ Revision: 184618
- update to 2.3.6

* Mon Nov 28 2011 dmorgan <dmorgan> 2.3.5-1.mga2
+ Revision: 173956
- Fix file list
- Do not depend of maven2

  + gil <gil>
    - update to 2.3.5

* Thu Apr 28 2011 dmorgan <dmorgan> 2.0.0-10.mga1
+ Revision: 92713
- Rebuild after bootstrapping
- imported package maven-plugin-bundle


* Thu Feb 10 2011 Alexander Kurtakov <akurtako@redhat.com> 2.0.0-9
- BR maven-surefire-provider-junit4.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 15 2010 Alexander Kurtakov <akurtako@redhat.com> 2.0.0-7
- BR/R felix-parent.

* Thu Sep 9 2010 Alexander Kurtakov <akurtako@redhat.com> 2.0.0-5
- Fix BuildRequires.

* Fri Sep 18 2009 Alexander Kurtakov <akurtako@redhat.com> 2.0.0-4
- Add missing Requires.

* Wed Sep 9 2009 Alexander Kurtakov <akurtako@redhat.com> 2.0.0-3
- BR doxia-sitetools.

* Mon Sep 7 2009 Alexander Kurtakov <akurtako@redhat.com> 2.0.0-2
- Fix BR/Rs.

* Thu Sep 3 2009 Alexander Kurtakov <akurtako@redhat.com> 2.0.0-1
- Initial import.
